--- /home/rwb/IPFire/ipfire-2.x/build/usr/lib/firewall/rules.pl.orig	2019-02-04 20:59:34.677143496 +0000
+++ /home/rwb/IPFire/ipfire-2.x/build/usr/lib/firewall/rules.pl	2019-02-10 15:37:06.071192914 +0000
@@ -609,7 +609,11 @@
 	# is enabled.
 	foreach my $location (@locations) {
 		if(exists $geoipsettings{$location} && $geoipsettings{$location} eq "on") {
-			run("$IPTABLES -A GEOIPBLOCK -m geoip --src-cc $location -j DROP");
+        # add logging rules for geoip 
+		if ($geoipsettings{'LOG_ENABLED'} eq "on") {  
+		run("$IPTABLES -A GEOIPBLOCK -m geoip --src-cc $location -j LOG --log-prefix 'GEOIPBLOCK-$location '");
+		}
+		run("$IPTABLES -A GEOIPBLOCK -m geoip --src-cc $location -j DROP");
 		}
 	}
 }
